org.keycloak.jose.jws

## Enum Algorithm

- java.lang.Object
- - java.lang.Enum<Algorithm>
  - - org.keycloak.jose.jws.Algorithm

- All Implemented Interfaces:
    Serializable, Comparable<Algorithm>

  Deprecated.

      @Deprecated
      public enum Algorithm
      extends Enum<Algorithm>

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ES256` Deprecated.
    `ES384` Deprecated.
    `ES512` Deprecated.
    `HS256` Deprecated.
    `HS384` Deprecated.
    `HS512` Deprecated.
    `none` Deprecated.
    `PS256` Deprecated.
    `PS384` Deprecated.
    `PS512` Deprecated.
    `RS256` Deprecated.
    `RS384` Deprecated.
    `RS512` Deprecated.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `SignatureProvider` | `getProvider()` Deprecated.
    `AlgorithmType` | `getType()` Deprecated.
    `static Algorithm` | `valueOf(String name)` Deprecated. Returns the enum constant of this type with the specified name.
    `static Algorithm[]` | `values()` Deprecated. Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### none

          public static final Algorithm none

      Deprecated.

    - #### HS256

          public static final Algorithm HS256

      Deprecated.

    - #### HS384

          public static final Algorithm HS384

      Deprecated.

    - #### HS512

          public static final Algorithm HS512

      Deprecated.

    - #### RS256

          public static final Algorithm RS256

      Deprecated.

    - #### RS384

          public static final Algorithm RS384

      Deprecated.

    - #### RS512

          public static final Algorithm RS512

      Deprecated.

    - #### PS256

          public static final Algorithm PS256

      Deprecated.

    - #### PS384

          public static final Algorithm PS384

      Deprecated.

    - #### PS512

          public static final Algorithm PS512

      Deprecated.

    - #### ES256

          public static final Algorithm ES256

      Deprecated.

    - #### ES384

          public static final Algorithm ES384

      Deprecated.

    - #### ES512

          public static final Algorithm ES512

      Deprecated.

  - ### Method Detail

    - #### values

          public static Algorithm[] values()

      Deprecated.
      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Algorithm c : Algorithm.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Algorithm valueOf(String name)

      Deprecated.
      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getType

          public AlgorithmType getType()

      Deprecated.

    - #### getProvider

          public SignatureProvider getProvider()

      Deprecated.

Copyright © 2021 JBoss by Red Hat. All rights reserved.